Subject: Re: [PATCH] git-completion: Add git help completion for aliases

From: Jakub Narebski <[email-masked]>
Date: Wed, 23 Mar 2011 05:11:41 -0700 (PDT)

Erik Faye-Lund <[email-masked]> writes:
> 2011/3/22 SZEDER Gábor <[email-masked]>:
> > On Tue, Mar 22, 2011 at 11:28:01AM +0100, Erik Faye-Lund wrote:

> > > But even so, at least 25% of the git user base is on Windows,
> > > according to the latest Git User Survey. That makes this stuff matter.
> >
> > The other point of view is that it will cause a regression without a
> > compensating benefit for maybe more than 75% of the user base ;)

[...]
> (Warning: speculation ahead)
> Also, I suspect the numbers of Windows developers are
> underrepresented, for two reasons;
> - I suspect that Windows developers are less likely to be subscribed
> to the mailing lists where the Git User Survey are promoted.
> - I suspect that most Windows users use EITHER Cygwin OR MinGW, but I
> intentionally picked the largest of the Windows categories instead of
> adding them up because the Git User Survey allowed people to answer
> both MinGW and Cygwin.
> 
> User Survey people, if your read this: please have a separate
> operating system question next year. It's very valuable information!

This information can be extracted from survey data, so there is no
need for separate question.

Prior to adding this information to GitSurvey2010 page on git wiki,

  https://git.wiki.kernel.org/index.php/GitSurvey2010#09._On_which_operating_system.28s.29_do_you_use_Git.3F
  https://git.wiki.kernel.org/index.php?title=GitSurvey2010&diff=14112&oldid=12212

you could get this information by going to 'Analysis' page

  http://tinyurl.com/GitSurvey2010Analysis

selecting last filter: 'F13 - OS: MS Windows (any)', writing down
number of responses: 2671, and calculating percentage relative to
number of all responses to Q9, i.e. 8541, and you get 31.27% of
people using Git on MS Windows (not counting 'other, please specify'
responses, but they are very few).

Or you could have extracted this information from responses data,
which is available on GitSurvey2010 page...

-- 
Jakub Narebski
Poland
ShadeHawk on #git